Create a commitment
curl --request POST \
--url https://your-kordless-instance.com/v1/accounts/{id}/quotes/{quoteId}/commitment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hold_hours": 123,
"deposit_amount_cents": 123,
"external_ref": "<string>"
}
'import requests
url = "https://your-kordless-instance.com/v1/accounts/{id}/quotes/{quoteId}/commitment"
payload = {
"hold_hours": 123,
"deposit_amount_cents": 123,
"external_ref": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hold_hours: 123, deposit_amount_cents: 123, external_ref: '<string>'})
};
fetch('https://your-kordless-instance.com/v1/accounts/{id}/quotes/{quoteId}/commitment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "commitment",
"commitment_id": "<string>",
"created": true,
"state": "<string>"
}{
"object": "commitment",
"commitment_id": "<string>",
"created": true,
"state": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Commitments
Create a commitment
Creates a commitment (hold, deposit, or handoff) on a quote. Requires
the commitments:write scope. Only available in the Live environment.
POST
/
v1
/
accounts
/
{id}
/
quotes
/
{quoteId}
/
commitment
Create a commitment
Authorizations
Pass your API key as a bearer token. Test keys start with sk_test_; Live keys start with sk_live_.
Body
application/json
⌘I